<!DOCTYPE html>
{% load static %}
<html lang="en">
<head>
  <title>CQ</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
  <link rel="stylesheet" type="text/css" href="{% static 'style.css' %}">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
</head>


<body class="cqbody">
    <div class="icon-bar">
      <a href="{% url 'homepage:home' %}"><i  class="glyphicon glyphicon-home"></i></a>
      <a href="{% url 'homepage:profile' %}"><i  class="glyphicon glyphicon-user"></i></a>
      <a href="{% url 'homepage:contact' %}"><i  class="glyphicon glyphicon-earphone"></i></a>
      <a href="{% url 'homepage:challenge' %}"><i  class="fa fa-question-circle-o"></i></a>
      </div>

    <div><h1 style="position: relative; width: 10vw; left: 50vw; top: -5vw;">Friends</h1></div>

    <div>
      <form method="POST" action=" ">
        {% csrf_token %}
        {{ form.as_p }}
        

        <input type="Submit">


      </form>
    </div>
    <br>
    <table style="width: 100%; border: 1px solid black;">
      <thead style="width: 100%;border: 1px solid black; background-color: grey;">
        <th style="text-align: center;">Name</th>
        <th style="text-align: center;">Hobby</th>
        <th style="text-align: center;">Favorite Drink</th>
        <th style="text-align: center;">Favorite Food</th>
        <th style="text-align: center;">Year</th>
      </thead>
      {% for friend in friends %}
      <tr style="background-color: honeydew;">
        <th style="text-align: center;">{{ friend.name }}</th>
        <th style="text-align: center;">{{ friend.hobby }}</th>
        <th style="text-align: center;">{{ friend.favorite_drink }}</th>
        <th style="text-align: center;">{{ friend.favorite_food }}</th>
        <th style="text-align: center;">{{ friend.year }}</th>
        {% endfor %}
      </tr>
      
    </table>

</body>
</html>